Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87961 - incorrect /etc/init.d/ldap script
Summary: incorrect /etc/init.d/ldap script
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openldap
Version: 7.3
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-04 00:19 UTC by Cyril Zlachevsky
Modified: 2019-03-27 15:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 15:05:42 UTC


Attachments (Terms of Use)

Description Cyril Zlachevsky 2003-04-04 00:19:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ru-RU; rv:1.2.1) Gecko/20021224

Description of problem:
If start ldap daemon by command

/sbin/service ldap start

files /var/run/slapd.pid and /var/run/slapd.args not created and
/sbin/service ldap stop always display error:

# /sbin/service ldap stop
Shutting down postfix slapd: /etc/init.d/ldap: kill: (18163) - No such process
/etc/init.d/ldap: kill: (18159) - No such process
                                                           [  ��  ]


Version-Release number of selected component (if applicable):
2.0.27-2.7.3

How reproducible:
Always

Steps to Reproduce:
1. install openldap, openldap-clients, openldap-servers
2. run 
/sbin/service ldap start
3. run 
/sbin/service ldap stop
    

Actual Results:  get "/etc/init.d/ldap: kill: (18163) - No such process" error
message

Expected Results:  Shutting down postfix slapd: /etc/init.d/ldap
                                                           [  ��  ]


Additional info:

If run start ldap daemon by the command 
/usr/sbin/slapd
from root command line, files /var/run/slapd.args and /var/run/slapd.pid created
and command
/sbin/service ldap stop
not displayed any error!

I try to update openldap packages from updates. 
version 2.0.27-2.7.3 have this bug too.

Comment 1 Bill Nottingham 2006-08-05 04:55:17 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 2 Bill Nottingham 2006-10-18 16:43:39 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Comment 4 Petr Sklenar 2019-03-27 15:05:42 UTC
ignore my previous comment


Note You need to log in before you can comment on or make changes to this bug.